curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"aditional_info": "ADITIONAL INFO",
"amount": {
"amount": 10,
"currency": "BRL"
},
"bank_account_id": "019f2433-fc78-2432-b2ba-614beee0dd53",
"company_id": "019f2433-fc78-4643-32b0-fa26be3d946c",
"counterparty_info_id": "019f2433-fc78-0ba8-53f7-67c503bd5aed",
"entity_id": "019f2433-fc78-2ec6-1e3f-018a965dbb80",
"final_date": "2026-07-02T19:00:14.584403Z",
"id": "019f2433-fc78-fdde-9591-ce8c284fef14",
"inserted_at": "2026-07-02T19:00:14.584407Z",
"next_working_day": "2026-07-02T19:00:14.584404Z",
"org_id": "019f2433-fc78-46f5-d8b0-e4e4d73039b6",
"recurrence_id": "019f2433-fc78-53a7-642d-8d48b82a388b",
"recurrence_timestamp": "2026-07-02T19:00:14.584402Z",
"status": "created",
"timestamp": "2026-07-02T19:00:14.584393Z",
"transaction_date": "2026-07-02T19:00:14.584403Z",
"txid": "1276T31G7T623GTYU123GJTY123JGTY",
"updated_at": "2026-07-02T19:00:14.584408Z",
"virtual_account_id": "019f2433-fc78-1b06-2f65-3a6d59bb5c0e"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}List Recurrence Collections
List recurrence collections with parameters
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Entity Id Unique identifier
Recurrence Id Unique identifier
From datetime Datetime schema
To datetime Datetime schema
Parameter used for pagination. It is a base64 encoded param used to access the previous page of results. It is provided alongside a metadata section if there is a previous page.
Parameter used for pagination. It's a base64 encoded param used to access the previous page of results. Provided along with the data in the metadata section if there is a previous page.
Number of registries to be returned
Response
Collections
Recurrence collection list response
A list data of automatic recurrence collections
Show child attributes
Show child attributes
[
{
"aditional_info": "ADITIONAL INFO",
"amount": { "amount": 10, "currency": "BRL" },
"bank_account_id": "019f2433-fc78-2432-b2ba-614beee0dd53",
"company_id": "019f2433-fc78-4643-32b0-fa26be3d946c",
"counterparty_info_id": "019f2433-fc78-0ba8-53f7-67c503bd5aed",
"entity_id": "019f2433-fc78-2ec6-1e3f-018a965dbb80",
"final_date": "2026-07-02T19:00:14.584403Z",
"id": "019f2433-fc78-fdde-9591-ce8c284fef14",
"inserted_at": "2026-07-02T19:00:14.584407Z",
"next_working_day": "2026-07-02T19:00:14.584404Z",
"org_id": "019f2433-fc78-46f5-d8b0-e4e4d73039b6",
"recurrence_id": "019f2433-fc78-53a7-642d-8d48b82a388b",
"recurrence_timestamp": "2026-07-02T19:00:14.584402Z",
"status": "created",
"timestamp": "2026-07-02T19:00:14.584393Z",
"transaction_date": "2026-07-02T19:00:14.584403Z",
"txid": "1276T31G7T623GTYU123GJTY123JGTY",
"updated_at": "2026-07-02T19:00:14.584408Z",
"virtual_account_id": "019f2433-fc78-1b06-2f65-3a6d59bb5c0e"
}
]

